Como resolver o problema “Unable to enable modules because of the following constraints” na instalação do Magento 2

O Problema

Estes dias precisei instalar o Magento 2.2.4 aqui na minha máquina para trabalhar no desenvolvimento de um módulo e tive um problema bem específico na hora de instalar o Magento.

Bom, eu preenchi todos os passos corretamente e, na hora de selecionar os módulos que serão habilitados na plataforma apareceu um erro na tela. O erro está logo abaixo.

Eu confesso que fiquei um pouco confuso, pois tentei de tudo e mais um pouco para entender o real motivo deste erro.

Dei uma pesquisada no Google, como de costume, e descobri que o problema não é tão comum assim ou ninguém ainda escreveu praticamente nada sobre este problema.

A Solução

Um detalhe é que eu estava utilizando o Google Chrome para a instalação do Magento 2 e, detalhe, já tive problemas com javascript quando o auto-preenchimento do Chrome estava ativo. Decidi então mudar um pouco o navegador e tentar fazer a instalação utilizando o Firefox.

Show de bola! Instalação concluída com sucesso.

Bom, tudo me leva a crer que  o problema estava com o navegador e não com a versão do Magento. Ok, talvez ainda exista alguns problemas no processo de instalação do Magento 2, pois raramente consigo ver a barra de progresso chegar a 100% no processo de instalação, mas o simples fato de mudar de navegador já foi a minha solução.

Você também está com este problema? Conseguiu entender exatamente o motivo do erro ou encontrou outra solução definitiva para o problema? Aproveite e deixe seu comentário aqui no post para ajudar a nossa querida comunidade.

Um grande abraço!

Posts recentes

Comentários

    Arquivos

    Categorias